<?php
if(!defined('DS'))
	define('DS', DIRECTORY_SEPARATOR);

if(!include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikamarket'.DS.'helpers'.DS.'helper.php')){
	echo 'This module can not work without the HikaMarket Component';
	return;
}

$js = '';

$params->set('show_limit',0);
$params->set('from_module', $module->id);

hikamarket::initModule();
$config = hikamarket::config();
$shopConfig = hikamarket::config(false);

$key_name = 'params_' . $module->id;
$module_options = $config->get($key_name);
if(empty($module_options))
	$module_options = $config->get('default_params');

if(empty($module_options))
	return;

$type = $module_options['content_type'] . 'market';

foreach($module_options as $key => $option) {
	if($key != 'moduleclass_sfx')
		$params->set($key,$option);
}

$moduleClass = hikamarket::get('shop.class.modules');
$moduleClass->loadParams($module);
foreach(get_object_vars($module) as $k => $v) {
	if(!is_object($v) && $params->get($k,null) == null)
		$params->set($k,$v);
}
$html = trim(hikamarket::getLayout($type, 'listing', $params, $js));

if(!empty($html)) {
?>
<div id="hikashop_module_<?php echo $module->id;?>" class="hikamarket_module <?php echo @$module->params['moduleclass_sfx']; ?>"><?php
	echo $html;
?></div>
<?php
}